.info {
    padding: 126px 0 0;
    position: relative;

    @media (max-width: $desktop-max) {
        padding: 88px 0 0;
    }

    @media (max-width: $tablet-max) {
        padding: 128px 0 0;
        overflow: hidden;
    }

    @media (max-width: $mobile-max) {
        padding: 112px 0 0;
    }
    
    &__wrapper {
        margin: 0 auto 63px;
        display: flex;
        gap: 220px;
        align-items: flex-start;

        @media (max-width: $desktop-max) {
            gap: 151px;
            margin: 0 auto 166px;
        }

        @media (max-width: $tablet-max) {
            flex-direction: column;
            margin: 0 auto 106px;
            gap: 24px;
        }

        @media (max-width: $mobile-max) {
            gap: 20px;
            margin: 0 auto 0;
            align-items: center;
            width: 375px;
            padding: 0 24px 277px;
            overflow: hidden;
        }

        .main-block__connector {
            color: $white;

            @media (max-width: $desktop-max) {
                margin-left: 2px;
            }

            &::before {
                @media (max-width: $desktop-max) {
                    top: -8px;
                }

                @media (max-width: $mobile-max) {
                    top: -12px;
                }
            }
        }

        .main-block__line-first {
            @media (max-width: $desktop-max) {
                z-index: 1;
            }
        }

        .main-block__line-last {
            @media (max-width: $desktop-max) {
                z-index: 2;
                margin-left: 6px;
            }

            @media (max-width: $mobile-max) {
                margin-left: 4px;
            }
        }
    }

    &__text {
        font-weight: 500;
        font-size: 72px;
        line-height: 100%;
        width: 650px;
        margin-bottom: 32px;

        @media (max-width: $desktop-max) {
            font-size: 54px;
            width: 489px;
            margin-bottom: 24px;
        }

        @media (max-width: $mobile-max) {
            width: 100%;
            text-align: center;
            font-size: 36px;
            line-height: 36px;
            display: flex;
            flex-direction: column;
            align-items: center;
            margin-bottom: 20px;
        }

        &-first {
            margin-bottom: 8px;

            @media (max-width: $mobile-max) {
                margin-bottom: 4px;
            }
        }

        &-background {
            position: relative;
            color: $white;
            font-size: 68px;
            line-height: 90%;

            @media (max-width: $desktop-max) {
                font-size: 50px;
            }

            @media (max-width: $mobile-max) {
                font-size: 36px;
                line-height: 90%;
            }

            &::before {
                content: '';
                position: absolute;
                top: 2px;
                left: -8px;
                background-image: url("/media/img/info_logo_bg.png");
                width: 443px;
                height: 67px;
                z-index: -1;
                background-size: contain;
                background-repeat: no-repeat;

                @media (max-width: $desktop-max) {
                    width: 332px;
                    height: 50px;
                }

                @media (max-width: $mobile-max) {
                    width: 240px;
                    height: 36px;
                }
            }
        }
    }

    &__right {
        width: 264px;
        font-weight: 400;
        font-size: 14px;
        line-height: 22px;
        color: $gray;

        @media (max-width: $mobile-max) {
            display: flex;
            flex-direction: column;
            align-items: center;
            line-height: 20px;
        }
    }

    &__description {
        font-weight: 400;
        font-size: 20px;
        line-height: 140%;

        @media (max-width: $desktop-max) {
            font-size: 16px;
            line-height: 24px;
        }

        @media (max-width: $mobile-max) {
            text-align: center;
            margin-bottom: 24px;
        }
    }

    &__bottom {
        margin: auto;
        padding: 45px 8px 28px;
        display: flex;
        justify-content: space-between;
        border-top: 1px solid $white-gray;

        @media (max-width: $tablet-max) {
            padding: 26px 8px 24px;
            justify-content: flex-start;
            gap: 40px;
        }

        &.desktop {
            @media (max-width: $mobile-max) {
                display: none;
            }
        }

        &.mobile {
            display: none;

            @media (max-width: $mobile-max) {
                display: flex;
                flex-direction: column;
                align-items: center;
                gap: 8px;
                padding: 24px 0 0;
            }
        }
    }

    &__name {
        font-weight: 500;
        font-size: 24px;
        line-height: 28px;

        @media (max-width: $desktop-max) {
            font-size: 18px;
            line-height: 20px;
        }
    }

    &__mail {
        font-weight: 500;
        font-size: 16px;
        line-height: 24px;
        padding-bottom: 4px;
        border-bottom: 1px solid $new-gray;
        position: relative;
        z-index: 1;

        @media (max-width: $desktop-max) {
            font-size: 14px;
            line-height: 22px;
            padding-bottom: 2px;
        }
    }

    &__last {
        opacity: 0;
    }

    &__beauty {
        position: absolute;
        width: 537px;
        height: 523px;
        right: 0;
        bottom: 0;

        @media (max-width: $desktop-max) {
            width: 510px;
            height: 497px;
        }

        @media (max-width: $tablet-max) {
            width: 482px;
            height: 470px;
            right: -58px;
        }

        @media (max-width: $mobile-max) {
            width: 339px;
            height: 331px;
            right: -65px;
        }
    }

    &__footnote {
        position: absolute;
        font-weight: 400;
        font-size: 16px;
        line-height: 130%;
        width: 247px;
        right: 330px;
        bottom: 160px;
        color: $white;

        @media (max-width: $tablet-max) {
            right: 134px;
            z-index: 1;
            bottom: 40px;
        }

        @media (max-width: $mobile-max) {
            width: 183px;
            right: 163px;
            font-size: 14px;
            line-height: 20px;
            bottom: 105px;
        }

        &::before {
            content: '';
            position: absolute;
            background-image: url("/media/img/info_footnote.png");
            width: 290px;
            height: 116px;
            z-index: -1;
            left: -16px;
            top: -16px;
            background-size: contain;
            background-repeat: no-repeat;

            @media (max-width: $desktop-max) {
                width: 300px;
                height: 128px;
            }

            @media (max-width: $mobile-max) {
                width: 222px;
                height: 152px;
                background-image: url("/media/img/info_footnote_mobile.png");
                top: -10px;
            }
        }

        svg {
            width: 20px;
            height: 20px;
            display: inline-block;
            margin-bottom: -4px;
        }
    }
}